from bcdebug import debug

Carrier = __import__( "ftb.Carrier")
class Mayflower( Carrier.Carrier):
    def __init__( self, pShip):
        debug(__name__ + ", __init__")
        Carrier.Carrier.__init__( self, pShip)
        # The script name should be the name of the "ship" script, not the
        # hardpoint (otherwise, you'll crash your BC and this is bad)
        LauncherGroup = __import__( "ftb.LauncherGroup")
        group = LauncherGroup.LauncherGroup()

        LauncherManager = __import__( "ftb.LauncherManager")
        launcher = LauncherManager.GetLauncher( "Shuttle Bay", pShip)
        group.AddLauncher( "Shuttle Bay", launcher)
        launcher.AddLaunchable( "Shuttle", "ftb.friendlyAI", 2)

        self.AddLauncher( "Group 1", group)

    def GetMaxShuttles(self): 
    	debug(__name__ + ", GetMaxShuttles")
    	return 4

ShipManager = __import__( "ftb.ShipManager")
ShipManager.RegisterShipClass( "Mayflower", Mayflower)
